TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: TJAM51 on February 24, 2005, 10:40:51 AM

Title: Hatch routine
Post by: TJAM51 on February 24, 2005, 10:40:51 AM
The following routine has the ability to select objects for hatching by picking........how can this routine be modified to include the ability to select inside an area for hatching as well?


Thanks

(defun c:h (/ sSet *error*)
  (defun *error* (msg)
    (setvar "cmdecho" 1)
    ); end *error*  
  (setvar "cmdecho" 0)
  (princ "*** Select objects for Hatch & press [Enter] ")
  (terpri)
(command "hatch" "" "" "")
  (while (= 1 (getvar "cmdactive"))
    (command pause)
    ); end while
  (command "")
  (princ)
  )
Title: Hatch routine
Post by: Andrea on February 24, 2005, 12:41:54 PM
(setq ent1 (getpoint "*** Select POINT for Hatch "))
(command "_.-bhatch" ent1 "" "")
Title: Hatch routine
Post by: Serge J. Gianolla on February 24, 2005, 06:05:42 PM
Or you can always fiddle with the last routine in discussion:
http://www.theswamp.org/phpBB2/viewtopic.php?t=1890&highlight=bpoly